I2O_DEVICE_ADD(9)

NAME
i2o_device_add - allocate a new I2O device and add it to the IOP

SYNOPSIS

int i2o_device_add(struct i2o_controller * c, i2o_lct_entry * entry);

ARGUMENTS

c
    I2O controller that the device is on

entry
    LCT entry of the I2O device

DESCRIPTION

Allocate a new I2O device and initialize it with the LCT entry. The device is appended to the device list of the controller.

Returns zero on success, or a -ve errno.

COPYRIGHT